/*
 * Copyright 2011 Hanson Robokind LLC.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.robokind.avrogen.messaging;

@SuppressWarnings("all")
public class ServiceError extends org.apache.avro.specific.SpecificRecordBase implements org.apache.avro.specific.SpecificRecord {
  public static final org.apache.avro.Schema SCHEMA$ = org.apache.avro.Schema.parse("{\"type\":\"record\",\"name\":\"AQServiceError\",\"namespace\":\"org.robokind.aqbridge.avrogen\",\"fields\":[{\"name\":\"serviceName\",\"type\":\"string\"},{\"name\":\"errorType\",\"type\":\"string\"},{\"name\":\"message\",\"type\":\"string\"},{\"name\":\"details\",\"type\":\"string\"}]}");
  public org.apache.avro.util.Utf8 serviceName;
  public org.apache.avro.util.Utf8 errorType;
  public org.apache.avro.util.Utf8 message;
  public org.apache.avro.util.Utf8 details;
  public org.apache.avro.Schema getSchema() { return SCHEMA$; }
  public java.lang.Object get(int field$) {
    switch (field$) {
    case 0: return serviceName;
    case 1: return errorType;
    case 2: return message;
    case 3: return details;
    default: throw new org.apache.avro.AvroRuntimeException("Bad index");
    }
  }
  @SuppressWarnings(value="unchecked")
  public void put(int field$, java.lang.Object value$) {
    switch (field$) {
    case 0: serviceName = (org.apache.avro.util.Utf8)value$; break;
    case 1: errorType = (org.apache.avro.util.Utf8)value$; break;
    case 2: message = (org.apache.avro.util.Utf8)value$; break;
    case 3: details = (org.apache.avro.util.Utf8)value$; break;
    default: throw new org.apache.avro.AvroRuntimeException("Bad index");
    }
  }
}
