package org.robokind.avrogen.animation;

@SuppressWarnings("all")
public class MotionPathRecord extends org.apache.avro.specific.SpecificRecordBase implements org.apache.avro.specific.SpecificRecord {
  public static final org.apache.avro.Schema SCHEMA$ = org.apache.avro.Schema.parse("{\"type\":\"record\",\"name\":\"MotionPathRecord\",\"namespace\":\"org.robokind.avrogen.animation\",\"fields\":[{\"name\":\"name\",\"type\":\"string\"},{\"name\":\"motionPathId\",\"type\":\"int\"},{\"name\":\"startTime\",\"type\":[\"null\",\"long\"]},{\"name\":\"stopTime\",\"type\":[\"null\",\"long\"]},{\"name\":\"interpolator\",\"type\":{\"type\":\"record\",\"name\":\"InterpolatorTypeRecord\",\"fields\":[{\"name\":\"name\",\"type\":\"string\"},{\"name\":\"versionNumber\",\"type\":\"string\"}]}},{\"name\":\"controlPoints\",\"type\":{\"type\":\"array\",\"items\":{\"type\":\"record\",\"name\":\"ControlPointRecord\",\"fields\":[{\"name\":\"time\",\"type\":\"long\"},{\"name\":\"position\",\"type\":\"double\"}]}}}]}");
  public org.apache.avro.util.Utf8 name;
  public int motionPathId;
  public java.lang.Long startTime;
  public java.lang.Long stopTime;
  public org.robokind.avrogen.animation.InterpolatorTypeRecord interpolator;
  public org.apache.avro.generic.GenericArray<org.robokind.avrogen.animation.ControlPointRecord> controlPoints;
  public org.apache.avro.Schema getSchema() { return SCHEMA$; }
  public java.lang.Object get(int field$) {
    switch (field$) {
    case 0: return name;
    case 1: return motionPathId;
    case 2: return startTime;
    case 3: return stopTime;
    case 4: return interpolator;
    case 5: return controlPoints;
    default: throw new org.apache.avro.AvroRuntimeException("Bad index");
    }
  }
  @SuppressWarnings(value="unchecked")
  public void put(int field$, java.lang.Object value$) {
    switch (field$) {
    case 0: name = (org.apache.avro.util.Utf8)value$; break;
    case 1: motionPathId = (java.lang.Integer)value$; break;
    case 2: startTime = (java.lang.Long)value$; break;
    case 3: stopTime = (java.lang.Long)value$; break;
    case 4: interpolator = (org.robokind.avrogen.animation.InterpolatorTypeRecord)value$; break;
    case 5: controlPoints = (org.apache.avro.generic.GenericArray<org.robokind.avrogen.animation.ControlPointRecord>)value$; break;
    default: throw new org.apache.avro.AvroRuntimeException("Bad index");
    }
  }
}
