package org.robokind.avrogen.motion;

@SuppressWarnings("all")
public interface MotionProtocol {
  public static final org.apache.avro.Protocol PROTOCOL = org.apache.avro.Protocol.parse("{\"protocol\":\"MotionProtocol\",\"namespace\":\"org.robokind.avrogen.motion\",\"types\":[{\"type\":\"record\",\"name\":\"JointIdRecord\",\"fields\":[{\"name\":\"robotId\",\"type\":\"string\"},{\"name\":\"jointId\",\"type\":\"int\"}]},{\"type\":\"record\",\"name\":\"JointPositionRecord\",\"fields\":[{\"name\":\"jointId\",\"type\":\"JointIdRecord\"},{\"name\":\"normalizedPosition\",\"type\":\"double\"}]},{\"type\":\"record\",\"name\":\"RobotPositionMapRecord\",\"fields\":[{\"name\":\"jointPositions\",\"type\":{\"type\":\"array\",\"items\":\"JointPositionRecord\"}}]},{\"type\":\"record\",\"name\":\"MotionFrameRecord\",\"fields\":[{\"name\":\"timestampMillisecUTC\",\"type\":\"long\"},{\"name\":\"moveDurationMillisec\",\"type\":\"long\"},{\"name\":\"goalPositions\",\"type\":\"RobotPositionMapRecord\"},{\"name\":\"startPositions\",\"type\":[\"null\",\"RobotPositionMapRecord\"]}]},{\"type\":\"record\",\"name\":\"MotionFrameEventRecord\",\"fields\":[{\"name\":\"sourceId\",\"type\":\"string\"},{\"name\":\"destinationId\",\"type\":\"string\"},{\"name\":\"currentTimeMillisecUTC\",\"type\":\"long\"},{\"name\":\"motionFrame\",\"type\":\"MotionFrameRecord\"}]}],\"messages\":{}}");
}
